package com.ruoyi.web.v3.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbEquipMaintenanceMonthlyEntity;
import com.ruoyi.web.v3.model.request.HbEquipMaintenanceMonthlyPageReq;
import com.ruoyi.web.v3.service.IHbEquipMaintenanceMonthlyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0 设备维保记录（月次） 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-maintenance-monthly")
@Api("3.0 设备维保记录（月次）")
public class HbEquipMaintenanceMonthlyController {

    @Resource
    private IHbEquipMaintenanceMonthlyService equipMaintenanceService;

    @ApiOperation("设备维保记录（月次）记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbEquipMaintenanceMonthlyEntity request){
        return equipMaintenanceService.add(request);
    }

    @ApiOperation("设备维保记录（月次）记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbEquipMaintenanceMonthlyEntity request){
        return equipMaintenanceService.edit(request);
    }

    @ApiOperation("设备维保记录（月次）记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return equipMaintenanceService.delete(ids);
    }

    @ApiOperation("设备维保记录（月次）记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbEquipMaintenanceMonthlyPageReq request) {
        return equipMaintenanceService.page(request);
    }


    @ApiOperation("设备维保记录（月次）记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return equipMaintenanceService.listAll();
    }

}
